Skip to content

Catalog routes

Generated from openapi.yaml of games-api 0.7.0: 2 routes.

GET /v1/catalog/{site}

GET /v1/catalog/{site}

Terminal window
curl 'https://api.filudi.com/v1/catalog/filudi'

Full catalog of a site

Credential: none. The route is public.

NameInTypeRequiredDescription
sitepathstringyesSite slug
localequerystringnoReturns texts for one locale only; default returns every locale of the site
StatusBodyDescription
200CatalogCatalog. Headers: Cache-Control, ETag.
304noneNot modified.
404ErrorUnknown resource.

GET /v1/catalog/{site}/games/{slug}

GET /v1/catalog/{site}/games/{slug}

Terminal window
curl 'https://api.filudi.com/v1/catalog/filudi/games/gloop'

One game of a site

Credential: none. The route is public.

NameInTypeRequiredDescription
sitepathstringyesSite slug
slugpathstringyes
StatusBodyDescription
200CatalogGameGame.
404ErrorUnknown resource.